Name:		yagf
Version:	0.9.5
Release:	%mkrel 3
Summary:	Graphical front-end for cuneiform and tesseract
License:	GPLv3+
Group:		Office/Utilities
URL:		https://sourceforge.net/projects/yagf-ocr
Source0:	https://sourceforge.net/projects/yagf-ocr/files/%{name}-%{version}.tar.gz
# fix .desktop file
Patch0:		%{name}-0.9.1-Source-desktop-fdr.patch
Patch1:		%{name}-0.9.4.2-mga-i18n-desktop.patch
# https://sourceforge.net/p/yagf-ocr/tickets/50
Patch2:		%{name}-0.9.4.2-mga-disable-crop-image-when-loaded.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	qt4-devel
BuildRequires:	aspell-devel
Requires:	cuneiform-linux
Requires:	tesseract
Recommends:	poppler
Recommends:	ghostscript
Recommends:	xsane

%description
YAGF is a graphical interface for cuneiform and tesseract text recognition
tools on the Linux platform. With YAGF you can scan images via XSane, import
pages from PDF documents, perform images preprocessing and recognize texts
using cuneiform from a single command center. YAGF also makes it easy to scan
and recognize several images sequentially.

%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .i18n-desktop
%patch2 -p1
# Substitute missing align.png resource (https://sourceforge.net/p/yagf-ocr/tickets/62)
cp -a src/images/{A,a}lign.png
# spurious-executable-perm (https://sourceforge.net/p/yagf-ocr/tickets/60)
chmod -x AUTHORS ChangeLog DESCRIPTION README

%build
%cmake
%make

%install
%makeinstall_std -C build

desktop-file-validate %{buildroot}%{_datadir}/applications/YAGF.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/translations/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_libdir}/%{name}/libxspreload.so
%{_datadir}/applications/YAGF.desktop
%{_datadir}/appdata/YAGF.appdata.xml
%doc AUTHORS ChangeLog DESCRIPTION README



%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.9.5-3.mga6
+ Revision: 963656
- Mageia 6 Mass Rebuild

* Thu Jul 02 2015 alexl <alexl> 0.9.5-2.mga6
+ Revision: 849477
- substitute missing align.png resource

* Thu Jul 02 2015 alexl <alexl> 0.9.5-1.mga6
+ Revision: 849472
- rediff disable-crop-image-when-loaded.patch
- new url
- fix spurious-executable-perm for docs
- version 0.9.5

* Sat Dec 20 2014 alexl <alexl> 0.9.4.2-5.mga5
+ Revision: 804532
- added workaround for segfault when open image file (disable-crop-image-when-loaded.patch)

* Thu Nov 27 2014 danf <danf> 0.9.4.2-4.mga5
+ Revision: 799678
- Packages the appdata.xml file for software installers

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4.2-3.mga5
+ Revision: 748700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4.2-2.mga5
+ Revision: 690817
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Aug 17 2014 alexl <alexl> 0.9.4.2-1.mga5
+ Revision: 664845
- translated desktop file (i18n-desktop.patch)
- added suggests for poppler, ghostscript, xsane
- updated spec for new version 0.9.4.2

* Mon Jul 21 2014 alexl <alexl> 0.9.3.2-2.mga5
+ Revision: 655329
- optimization for spec file

* Mon Apr 07 2014 alexl <alexl> 0.9.3.2-1.mga5
+ Revision: 612631
- fix Group
- imported package yagf

